# Method: customers.devices.list

- [HTTP request](https://developers.google.com/spectrum-access-system/reference/rest/customers.devices/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/spectrum-access-system/reference/rest/customers.devices/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/spectrum-access-system/reference/rest/customers.devices/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/spectrum-access-system/reference/rest/customers.devices/list#body.request_body)
- [Response body](https://developers.google.com/spectrum-access-system/reference/rest/customers.devices/list#body.response_body)
- [Authorization Scopes](https://developers.google.com/spectrum-access-system/reference/rest/customers.devices/list#body.aspect)

Lists `https://developers.google.com/spectrum-access-system/reference/rest/customers.devices#Device` under a `https://developers.google.com/spectrum-access-system/reference/rest/customers.nodes#Node` or `https://developers.google.com/spectrum-access-system/reference/rest/customers#Customer`.

### HTTP request

`GET https://sasportal.googleapis.com/v1alpha1/{parent=customers/*}/devices`

The URL uses [gRPC Transcoding](https://github.com/googleapis/googleapis/blob/master/google/api/http.proto) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The name of the parent resource. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `number` The maximum number of devices to return in the response. |
| `pageToken` | `string` A pagination token returned from a previous call to devices.list that indicates where this listing should continue from. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/spectrum-access-system/reference/rest/ListDevicesResponse`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/userinfo.email`